LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XTableCharts Interface Referencepublished

provides methods to access charts via name and to insert and remove charts. More...

`import"XTableCharts.idl";`

Inheritance diagram for XTableCharts:

## Public Member Functions
void | addNewByName ([in] string aName, [in] com::sun::star::awt::Rectangle aRect, [in] sequence< com::sun::star::table::CellRangeAddress > aRanges, [in] boolean bColumnHeaders, [in] boolean bRowHeaders)
| creates a chart and adds it to the collection. More...
void | removeByName ([in] string aName)
| removes a chart from the collection. More...
Public Member Functions inherited from XNameAccess
any | getByName ([in] string aName) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
sequence< string > | getElementNames ()
boolean | hasByName ([in] string aName)
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides methods to access charts via name and to insert and remove charts.

See also
  com::sun::star::table::TableCharts

## Member Function Documentation

## ◆ addNewByName()

void addNewByName | ( | [in] string | aName,
|  | [in] com::sun::star::awt::Rectangle | aRect,
|  | [in] sequence< com::sun::star::table::CellRangeAddress > | aRanges,
|  | [in] boolean | bColumnHeaders,
|  | [in] boolean | bRowHeaders
| ) |  |

creates a chart and adds it to the collection.

Parameters

  aName | is the name of the chart. This name is used to reference the chart in the collection.
  aRect | contains the rectangular location of the chart within the table (in 1/100th mm).
  aRanges | all cell ranges containing the source data of the chart.
  bColumnHeaders | if set to `TRUE`, the topmost row of the source data will be used to set labels for the category axis or the legend.
  bRowHeaders | if set to `TRUE`, the leftmost column of the source data will be used to set labels for the category axis or the legend.

## ◆ removeByName()

void removeByName | ( | [in] string | aName | ) |

removes a chart from the collection.

Parameters

  aName | is the name of the chart to remove.

The documentation for this interface was generated from the following file:

- com/sun/star/table/XTableCharts.idl